InterruptedNamingException (Java SE 17 & JDK 17)
Description: declaration: module: java.naming, package: javax.naming, class: InterruptedNamingException
Keywords: javax.naming.InterruptedNamingException class

Module java.naming
Package javax.naming

# Class InterruptedNamingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.InterruptedNamingException

All Implemented Interfaces:
  `Serializable`

public class InterruptedNamingException extends NamingException
This exception is thrown when the naming operation being invoked has been interrupted. For example, an application might interrupt a thread that is performing a search. If the search supports being interrupted, it will throw InterruptedNamingException. Whether an operation is interruptible and when depends on its implementation (as provided by the service providers). Different implementations have different ways of protecting their resources and objects from being damaged due to unexpected interrupts.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - `Context`
  - `DirContext`
  - `Thread.interrupt()`
  - `InterruptedException`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class javax.naming.NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterruptedNamingException()`
  Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.
  `InterruptedNamingException(String explanation)`
  Constructs an instance of InterruptedNamingException using an explanation of the problem.

- ## Method Summary

  ### Methods declared in class javax.naming.NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InterruptedNamingException

    public InterruptedNamingException(String explanation)
    Constructs an instance of InterruptedNamingException using an explanation of the problem. All name resolution-related fields are initialized to null.
    Parameters:
      `explanation` - A possibly null message explaining the problem.
    See Also:
      - `Throwable.getMessage()`

  - ### InterruptedNamingException

    public InterruptedNamingException()
    Constructs an instance of InterruptedNamingException with all name resolution fields and explanation initialized to null.